Bug 619042 - Unable to PXE boot a KVM based VM using WDS
Unable to PXE boot a KVM based VM using WDS
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gpxe (Show other bugs)
5.5
All Linux
low Severity urgent
: rc
: ---
Assigned To: Glauber Costa
Virtualization Bugs
: Triaged
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-07-28 08:42 EDT by Dan Yasny
Modified: 2013-07-02 03:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-18 04:47:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (22.23 KB, image/png)
2010-08-02 04:54 EDT, Golita Yue
no flags Details
tcpdump (765.69 KB, application/octet-stream)
2010-12-03 05:36 EST, Golita Yue
no flags Details

  None (edit)
Description Dan Yasny 2010-07-28 08:42:27 EDT
Description of problem:

  When trying to do a windows xp install from pxe in kvm the install fails very early on with TFTP download failed.  When using the gpxe rom I get a download status of ok, but then nothing happens.
  Also the PXE installation works as expected on bare metal and I have also installed Windows on VirtualBox using the same bridged interface and that also works.

  The WDS server is not on the same subnet, but all the pxe traffic is forwarded from each subnet, and Customer has never had trouble reaching it. Just containing on the process.

Version-Release number of selected component (if applicable):
RHEL 5.5

How reproducible:
always

Steps to Reproduce:
1.install a VM with PXE
2.
3.
  
Actual results:
Fail to install

Expected results:
Succeed in installing

Additional info:
Using both gPXE .iso and zrom, PXE install fails.
tcpdumps show the following:
1. obtaining DHCP - OK
2. requesting wdsnbp.exe - OK
3. downloading wdsnbp.exe - goes on for 22 blocks, and no more network traffic after that

Tested with both e1000 and virtIO, using virt-manager.
Comment 1 Golita Yue 2010-08-02 04:53:19 EDT
I tested in kvm-83-164.el5_5.20 & kvm-83-164.el5. The test result as following:

1. Use pxe + virt-manager
 The error TFTP download failed display.

2. Use gpxe + virt-manager 
   The error 'BIOS is not ACPI compatible' display. Please refer to attachment.
   There is '-no-acpi' in cmdline.
   #ps -aef  | grep qemu-kvm
   /usr/libexec/qemu-kvm -S -M pc -m 2048 -smp 2 -name winXP -uuid 5e1e5ce6-df68-cae9-07e3-0d68741281b0 -monitor pty -pidfile /var/run/libvirt/qemu//winXP.pid -localtime -no-acpi -boot n -drive file=/var/lib/libvirt/images/winXP.img,if=ide,index=0,cache=none -net nic,macaddr=54:52:00:53:b2:77,vlan=0,model=virtio -net tap,fd=18,script=,vlan=0,ifname=vnet1 -serial pty -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:1 -k en-us

3. Use gpxe + cmdline  -- PASS
    I deleted ' -no-apic ' and start VM with the follow cmd, then PASSED for installation.
cmdline: /usr/libexec/qemu-kvm -m 2048 -smp 2 -name winXP -drive file=/var/lib/libvirt/images/winXP.img,if=ide,index=0,cache=none -net nic,macaddr=54:52:00:53:b2:76,vlan=0,model=rtl8139 -net tap,script=,vlan=0,ifname=vnet1 -vnc :2 -boot n
Comment 2 Golita Yue 2010-08-02 04:54:59 EDT
Created attachment 435972 [details]
screenshot
Comment 3 Glauber Costa 2010-08-02 11:58:44 EDT
Let me see if I get it right:

When you say it fails with pxe, but succeeds with gpxe, you mean etherboot fails, but gpxe works. Is that correct?
Comment 4 Golita Yue 2010-08-02 23:12:57 EDT
(In reply to comment #3)
> Let me see if I get it right:
> 
> When you say it fails with pxe, but succeeds with gpxe, you mean etherboot
> fails, but gpxe works. Is that correct?    

Yes. etherboot fails, but gpxe works.

I tested in kvm-83-164.el5_5.20 & kvm-83-164.el5, their test result are same, please refer to comment #1. 

It is PASSED in kvm, not regression.
Comment 5 Glauber Costa 2010-08-05 11:34:25 EDT
So can we close this ?
Comment 6 Dan Yasny 2010-08-05 11:48:37 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Let me see if I get it right:
> > 
> > When you say it fails with pxe, but succeeds with gpxe, you mean etherboot
> > fails, but gpxe works. Is that correct?    
> 
> Yes. etherboot fails, but gpxe works.
> 
> I tested in kvm-83-164.el5_5.20 & kvm-83-164.el5, their test result are same,
> please refer to comment #1. 
> 
> It is PASSED in kvm, not regression.    

Is it possible to actually install a VM with option 3 using WDS?
Comment 7 Golita Yue 2010-08-06 07:12:59 EDT

(In reply to comment #6)
> Is it possible to actually install a VM with option 3 using WDS?    

Yes, I sent the email to you about our WDS configuration. Hope it is useful for you.

And I tested again with the latest virt-manager-0.6.1-12.el5, PASSED.
Comment 8 Dan Yasny 2010-09-22 05:25:13 EDT
OK, we have been  trying to make it work with no success.

One request, can you please provide a tcpdump of the PXEboot with gPXE which succeeds? I would like to compare it to the one we have from the customer.
Comment 9 Lawrence Lim 2010-11-24 19:13:54 EST
Raising the needinfo flag, gyue, please supply the info as requested in Comment #8.
Comment 10 Golita Yue 2010-12-03 05:36:32 EST
Created attachment 464541 [details]
tcpdump

For your reference.

kvm-83-213.el5
kernel 2.6.18-233.el5
Comment 11 Golita Yue 2010-12-03 05:41:08 EST
you can use #tcpdump -r tcpdump-pxe-2008-back.cap to check the dump file.

Tested again on kvm-83-213.el5, kernel 2.6.18-233.el5, and PASSED.

Note You need to log in before you can comment on or make changes to this bug.